/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef FGGL_ECS3_ECS_HPP
#define FGGL_ECS3_ECS_HPP

#include "fggl/ecs3/module/module.hpp"
#include <fggl/ecs3/prototype/world.hpp>
#include <fggl/math/types.hpp>

namespace fggl::ecs3 {

	using World = prototype::World;

	class ecsTypes : public Module {

		public:
			inline std::string name() const override {
				return "ecs::core";
			}

			inline void onLoad(ModuleManager& manager, TypeRegistry& types) override {
			}
	};

}

#endif